/// <reference types="node" />
import { ExecutionContext, MultipartResponse, Push } from '@pablosz/graphql-helix';
import type { IncomingMessage, ServerResponse } from 'http';
import type { BuildContextArgs, EZResponse, HandleRequestOptions, Request } from './index';
export interface HelixContext extends Omit<ExecutionContext, 'request'> {
    request: Request;
}
declare module './index' {
    interface EZContext extends Partial<HelixContext>, BuildContextArgs {
    }
}
export declare function handleRequest<TReturn = unknown>({ request, getEnveloped, contextArgs, buildContext, onResponse, onMultiPartResponse, onPushResponse, baseOptions, processRequestOptions, preProcessRequest, }: HandleRequestOptions<BuildContextArgs, TReturn>): Promise<TReturn>;
export declare function defaultResponseHandle(_req: IncomingMessage, res: ServerResponse, result: EZResponse): void;
export declare function defaultMultipartResponseHandle(req: IncomingMessage, res: ServerResponse, result: MultipartResponse<unknown, unknown>): Promise<void>;
export declare function defaultPushResponseHandle(req: IncomingMessage, res: ServerResponse, result: Push<unknown, unknown>): Promise<void>;
